Package com.sap.ai.sdk.orchestration.model

# Enum Class DPIEntities

java.lang.Object
java.lang.Enum<DPIEntities>
com.sap.ai.sdk.orchestration.model.DPIEntities

All Implemented Interfaces:
  `Serializable`, `Comparable<DPIEntities>`, `Constable`

public enum DPIEntities extends Enum<DPIEntities>
Default entities supported by data privacy and integration service

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDRESS`
  `CREDIT_CARD_NUMBER`
  `DRIVERLICENSE`
  `EMAIL`
  `ETHNICITY`
  `GENDER`
  `IBAN`
  `LOCATION`
  `NATIONALID`
  `NATIONALITY`
  `ORG`
  `PASSPORT`
  `PERSON`
  `PHONE`
  `POLITICAL_GROUP`
  `PRONOUNS_GENDER`
  `RELIGIOUS_GROUP`
  `SAPIDS_INTERNAL`
  `SAPIDS_PUBLIC`
  `SENSITIVE_DATA`
  `SEXUAL_ORIENTATION`
  `SSN`
  `TRADE_UNION`
  `UNIVERSITY`
  `UNKNOWN_DEFAULT_OPEN_API`
  `URL`
  `USERNAME_PASSWORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DPIEntities`
  `fromValue(String value)`
  Converts the given value to its enum representation.
  `String`
  `getValue()`
  `String`
  `toString()`
  `static DPIEntities`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DPIEntities[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PERSON

    public static final DPIEntities PERSON

  - ### ORG

    public static final DPIEntities ORG

  - ### UNIVERSITY

    public static final DPIEntities UNIVERSITY

  - ### LOCATION

    public static final DPIEntities LOCATION

  - ### EMAIL

    public static final DPIEntities EMAIL

  - ### PHONE

    public static final DPIEntities PHONE

  - ### ADDRESS

    public static final DPIEntities ADDRESS

  - ### SAPIDS_INTERNAL

    public static final DPIEntities SAPIDS_INTERNAL

  - ### SAPIDS_PUBLIC

    public static final DPIEntities SAPIDS_PUBLIC

  - ### URL

    public static final DPIEntities URL

  - ### USERNAME_PASSWORD

    public static final DPIEntities USERNAME_PASSWORD

  - ### NATIONALID

    public static final DPIEntities NATIONALID

  - ### IBAN

    public static final DPIEntities IBAN

  - ### SSN

    public static final DPIEntities SSN

  - ### CREDIT_CARD_NUMBER

    public static final DPIEntities CREDIT_CARD_NUMBER

  - ### PASSPORT

    public static final DPIEntities PASSPORT

  - ### DRIVERLICENSE

    public static final DPIEntities DRIVERLICENSE

  - ### NATIONALITY

    public static final DPIEntities NATIONALITY

  - ### RELIGIOUS_GROUP

    public static final DPIEntities RELIGIOUS_GROUP

  - ### POLITICAL_GROUP

    public static final DPIEntities POLITICAL_GROUP

  - ### PRONOUNS_GENDER

    public static final DPIEntities PRONOUNS_GENDER

  - ### ETHNICITY

    public static final DPIEntities ETHNICITY

  - ### GENDER

    public static final DPIEntities GENDER

  - ### SEXUAL_ORIENTATION

    public static final DPIEntities SEXUAL_ORIENTATION

  - ### TRADE_UNION

    public static final DPIEntities TRADE_UNION

  - ### SENSITIVE_DATA

    public static final DPIEntities SENSITIVE_DATA

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final DPIEntities UNKNOWN_DEFAULT_OPEN_API

- ## Method Details

  - ### values

    public static DPIEntities[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DPIEntities valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Returns:
      The enum value.

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Enum<DPIEntities>`
    Returns:
      The String representation of the enum value.

  - ### fromValue

    public static DPIEntities fromValue(@Nonnull String value)
    Converts the given value to its enum representation.
    Parameters:
      `value` - The input value.
    Returns:
      The enum representation of the given value.